Jump to content
TNG Community
Danielcr213

Impossible de charger google Maps (impossible to charge Google maps)

Recommended Posts

PapaTango

Ken, j'ai l'intention de faire quelques mises à jour puis je vais demander comment faire!  😎

Share this post


Link to post
Share on other sites
Michel KIRSCH
1 hour ago, Ken Roy said:

Why is this not on the TNG Wiki?

Excellent question, Ken...

Share this post


Link to post
Share on other sites
Michel KIRSCH

@ papa Tango=>

I read this in the article you give :

Secondly, as currently implemented in TNG, the OSM feature does not allow batch geocoding of places. 
It is a slightly laborious process to include each location that is in your Places via a ‘one at a time’ manual procedure.

It is no more of actuality because I wrote the "OSM Automatic Geocoding" Mod ( https://tng.lythgoes.net/wiki/index.php?title=OSM_Automatic_Geocoding )

that Mod do the job.

Michel

Share this post


Link to post
Share on other sites
Ken Roy
40 minutes ago, Michel KIRSCH said:

@ papa Tango=>

I read this in the article you give :

Secondly, as currently implemented in TNG, the OSM feature does not allow batch geocoding of places. 
It is a slightly laborious process to include each location that is in your Places via a ‘one at a time’ manual procedure.

It is no more of actuality because I wrote the "OSM Automatic Geocoding" Mod ( https://tng.lythgoes.net/wiki/index.php?title=OSM_Automatic_Geocoding )

that Mod do the job. ï»ż

Michel

Exactly the reason why the information should be in the TNG Wiki.  We cannot possibly know everything, but we can help each other out.  There is already some documentation in the Google Maps category, but probably not enough on the OpenStreetMap

1 hour ago, PapaTango said:

Ken, j'ai l'intention de faire quelques mises Ă  jour puis je vais demander comment faire!ï»żÂ Â đŸ˜Ž

If I can ever get the time to upgrade the TNG Wiki to the latest MediaWiki 1.35 version, then a VisualEditor and CodeEditor will be available.

 

Share this post


Link to post
Share on other sites
tngrlkrz
1 hour ago, Ken Roy said:

Ken, j'ai l'intention de faire quelques mises Ă  jour puis je vais demander comment faire!

Seems like posts in this thread are sometimes all French, sometimes both French and English.  Hard to follow without having a translate window open 😉

Share this post


Link to post
Share on other sites
PapaTango
5 hours ago, Michel KIRSCH said:

@ papa Tango=>

I read this in the article you give :

Secondly, as currently implemented in TNG, the OSM feature does not allow batch geocoding of places. 
It is a slightly laborious process to include each location that is in your Places via a ‘one at a time’ manual procedure.

It is no more of actuality because I wrote the "OSM Automatic Geocoding" Mod ( https://tng.lythgoes.net/wiki/index.php?title=OSM_Automatic_Geocoding )

that Mod do the job.

Michel

This is one of the main things (along with a small GUI change for billing) I want to update.  That article was written a bit over a year ago now, and at that time there was no geocoding option.  I was very pleased to learn a few months ago that one had been developed.

Right now my priority is getting everything working just right in all of the updating I have done.

Share this post


Link to post
Share on other sites
Katryne
Il y a 7 heures , Ken Roy said:

If I can ever get the time to upgrade the TNG Wiki to the latest MediaWiki 1.35 version, then a VisualEditor and CodeEditor will be available.

Ken, I am waiting impatiently for a visual Ă©ditor. I could at last start doing some translations to French as I had proposed some months (years ?) ago. This could help TNG users like Daniel who do not master English, especially with technical terms, since the automatic translation tool may sometimes give strange results, in particular between Anglo-Saxon and Latin languages. I use many different CMS, but I cannot get used to MediaWiki without a visual editor.

I hope you will find the time for the update. Thanks in advance.

Share this post


Link to post
Share on other sites
Ken Roy
3 hours ago, Katryne said:

I hope you will find the time for the update. Thanks in advance.

Don't expect it any time soon.  It may not be until next year at this rate.  MediaWiki 1.35 no longer supports some of the extensions I was dependent on to support the TNG Wiki. They are also now forcing minimum password lengths, which left me with an unusable wiki database on my WampServer when I attempted the upgrade.

Share this post


Link to post
Share on other sites
Michel KIRSCH

It shouldn't be very difficult to transform a text written in WYSIWYG html to a text compatible with MediaWiki .

Michel

Share this post


Link to post
Share on other sites
Ken Roy

As long as you are not copying from MS Word to the web

Share this post


Link to post
Share on other sites
Michel KIRSCH

No danger, Ken :-)

Share this post


Link to post
Share on other sites
Danielcr213

J'ai demandé à Darrin d'installer la version 13, ce qui est fait.

J'ai avec difficulté suivi toutes les étapes pour installer le mod openstreetmap, mais il semble que je n'ai pas réussi car mon problÚme de Google Maps est toujours là.

J'ai opté pour installer l'option de Google et donné les infos de ma carte de crédit.

J'ai mis le fichier openstreetmap_v13.0.0.7.cfg au bon endroit sur mon serveur hĂ©bergeur.  ...////mods. Toutefois je ne sais pas quoi faire avec tous les fichiers zippĂ©s. Je ne sais pas oĂč les mettre.

J'ai suivi le tutoriel https://journeysingenealogy.com/adding-mapping-to-tng/

J'ai mis le nom de clé API au bon endroit mais je ne me rappel pas ou dans TNG puisque j'ai été reconduit directement au bon endroit et je n'ai pas remarqué ou j'étais exactement. . J'ai regardé un peu partout dans mes outils d'administrateur de TNG et je ne l'ai pas trouvé. Si vous pouvez me dire ou je peux retrouver cet endroit, je pourrais vérifier si j'ai bien retranscrit le code de ma clé API., qui fut mis en copier/coller

Quand je regarde dans mon Google Cloud Platform dans le menu API on m'indique qu'il y a 2 erreurs dans Maps JavaScript API. Voici une capture d'Ă©cran

image.png

Lorsque je clic sur Maps JavaScript API voici ce qui apparait

image.png

image.png

Voici ce que je vois dans TNG options "Gestionnaire MODS"

image.png

Finalement si quelqu'un peut faire ce travail pour moi, je suis prĂȘt Ă  le rĂ©munĂ©rer.

Merci de votre précieuse collaboration et désolé pour ma piÚtre connaissance en informatique.

Share this post


Link to post
Share on other sites
Katryne

Daniel, tu vas dans Configurations >> Configuration >> Configuration cartes et dans le 1er champ tu entres OSM et tu enregistres. Ensuite tu pourras installer le plugin OSM.

config-osm.png

Share this post


Link to post
Share on other sites
Ken Roy

Katryne,

OSM dans la Clé de carte n'est pas nécessaire pour installer OpenStreetMap, mais il est nécessaire pour voir les cartes d'OpenStreetMap apres que le mod est installer.

Daniel,

Une partie de la rraison que OpenStreetMap ne peut pas ĂȘtre installĂ© est que le fichier openstreetmap_v13.0.0.7 n'est pas dans le fichier mods.

Peut-ĂȘtre Katryne ou Michel qui comprends le français technical mieux que moi peuvent t'aider.  Les cartes de Google Maps sont mieux que celles d'OpenStreet aux États.   Je ne sais pas au QuĂ©bec

Share this post


Link to post
Share on other sites
Michel KIRSCH

Daniel,

je précise que tu peux laisser ta clef Google Map aprÚs la cllef OSM.

Donc entrer "OSMet_puis_aprĂšs_ta_clef_google_maps"

Si ça ne va pas, contacte moi par mail sur genealogie@mkirsch.be

Michel

Share this post


Link to post
Share on other sites
Ken Roy

Michel,

Selon l'image afficher, Daniel n'a pas encore installer le mod OpenStreetMap, parceque l'erreur indique source manquante  La clé OSM ne fait rien si le mod n'est pas installé et n'est pas requis pour installer le mod OpenStreetMap

Le dossier openstreetmap_v13.0.0.7 doit ĂȘtre transfĂ©rer au host comme sous-dossier dans le dossier mods

According to the screen capture above, the OpenStreetMap is not installed because it shows Source Missing  The Map key OSM does nothing if the mod is not installed and is not needed to install the OpenStreetMap.  It is only needed to activate the OpenStreetMap after the mod is installed.  To me it appears as if the openstreetmap_v13.0.0.7 folder was not transferred as a subfolder with all its contents remaining in the folder to the mods folder

Share this post


Link to post
Share on other sites
Danielcr213

Merci Katrine et Ken

Michel je viens de t'écrire un courriel à l'adresse que tu m'as donnée.

Espérant que tu pourras trouver une solution à mes explications qui peuvent paraßtre compliquées. N'hésites pas à me faire préciser si nécessaire.

Share this post


Link to post
Share on other sites
Danielcr213
Tranduction by google below

____________________________________________________________________________________________________________________

J'ai fait une erreur de syntaxe en Ă©crivant OSM

J'ai écrit "OSM et mon numéro de clé" entre guillemets. Il semble que le langage PHP n'apprécie pas les guillemets

Cette erreur a fait que je n'ai plus accĂšs Ă  mon site

Voici le message d'erreur que j'ai:

Parse error: syntax error, unexpected 'OSM' (T_STRING) in /home/geneal14/public_html/mapconfig.php on line 2

Comment corriger la situation.

Merci de votre aide

______________________________________________________________________________________________________________________
I made a syntax error when writing OSM

I wrote "OSM and my key number" in quotes. It seems that the PHP language does not like quotes

This error has caused me to no longer access my site

Here is the error message I got:

Parse error: syntax error, unexpected 'OSM' (T_STRING) in /home/geneal14/public_html/mapconfig.php on line 2 

How to correct the situation.

Thank you for your help

 

Share this post


Link to post
Share on other sites
Ken Roy

Daniel,

Do not put the Map Key within quotes - that results in quotes within quotes.

Ne mettez pas la Clé de carte entre guillemets - cela donne des guillemets entre guillemets.

 

Share this post


Link to post
Share on other sites
Michel KIRSCH
On 11/20/2020 at 7:09 PM, Ken Roy said:

Une partie de la rraison que OpenStreetMap ne peut pas ĂȘtre installĂ© est que le fichier openstreetmap_v13.0.0.7 n'est pas dans le fichier mods.

 

You're right Ken. I will try to fix the problem directly with Daniel.

Michel

Share this post


Link to post
Share on other sites
Danielcr213

Merci Michel tout est redevenu fonctionnel.

Share this post


Link to post
Share on other sites
Michel KIRSCH
12 minutes ago, Danielcr213 said:

Merci Michel tout est redevenu fonctionnel.

For others, solution was :

1) unzip the file directly in the mods directory.

2) install the mod

3) edit the mapconfig.php file to fix the problem of double quotes

Michel

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×